Loading...
Searching...
No Matches
etl::task Class Referenceabstract

Task. More...

`#include <task.h>`

## Public Member Functions

| task (task_priority_t priority)
| Constructor.
virtual | ~task ()
| Destructor.
virtual uint32_t | task_request_work () const =0
virtual void | task_process_work ()=0
| Called to get the task to do work.
virtual void | on_task_added ()
| Called when the task has been added to the scheduler.
void | set_task_running (bool task_running_)
| Set the running state for the task.
bool | task_is_running () const
| Get the running state for the task.
etl::task_priority_t | get_task_priority () const

## Detailed Description

Task.

## Member Function Documentation

## get_task_priority()

etl::task_priority_t etl::task::get_task_priority | ( |  | ) | const

inline

Get the priority of the task. Higher value = higher priority.

## task_request_work()

virtual uint32_t etl::task::task_request_work | ( |  | ) | const

pure virtual

Called to check if the task has work. Returns a score as to the amount of work it has to do.

The documentation for this class was generated from the following file:

- include/etl/task.h